//Расчет результатов
function [Properties,..//Свойства
          PropertiesNames..//Имена свойств
          ]=CountCharacteristicsProperties(CharacteristicsDatasFileName,..//Имя файла данных характеристик системы
                                           CountFunctionsFilesNames,..//Имя файла аттрибутов равномерно распределенных случайных величин
                                           PropertiesDatasFileName,..//Имя файла свойств
                                           csvSeparator,..//Разделитель .csv
                                           csvDec..//Десятичный разделитель
                                           )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    if nArg < 2 then
        error('Function CountCharacteristicsProperties takes 2, 3, 4 or 5 arguments');
    end
    switch nArg
    case 2 then
        PropertiesDatasFileName = [];//Имя файла результатов по умолчанию пустое
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 3 then
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 4 then
        csvDec = '.';//Десятичный разделитель
    end
    
    //Проверяем корректность аргументов
    if (type(CharacteristicsDatasFileName) ~= 10) ||..
       (size(CharacteristicsDatasFileName,'*') ~= 1) then
        error('The argument CharacteristicsDatasFileName of function CountCharacteristicsProperties must be scalar string');
    end
    if (type(CountFunctionsFilesNames) ~= 10) ||..
       (size(CountFunctionsFilesNames,'*') ~= 1) then
        error('The argument CountFunctionsFilesNames of function CountCharacteristicsProperties must be scalar string');
    end
    if (~isempty(PropertiesDatasFileName)) &&..
       ((type(PropertiesDatasFileName) ~= 10) ||..
        (size(PropertiesDatasFileName,'*') > 1)) then
        error('The argument PropertiesDatasFileName of function CountCharacteristicsProperties must be scalar string');
    end
    if (type(csvSeparator) ~= 10) ||..
       (size(csvSeparator,'*') ~= 1) then
        error('The argument csvSeparator of function CountCharacteristicsProperties must be scalar string');
    end
    if (type(csvDec) ~= 10) ||..
       (size(csvDec,'*') ~= 1) then
        error('The argument csvDec of function CountCharacteristicsProperties must be scalar string');
    end
    
    //Считываем исходные данные из файла и выполняем расчет с последующим сохранением в файл
    [Properties,..//Результаты расчета
     PropertiesNames..//Заголовки результатов
     ]=CountRezultsFile(CharacteristicsDatasFileName,..
                        CountFunctionsFilesNames,..
                        PropertiesDatasFileName,..
                        csvSeparator,csvDec);
endfunction
