//Парсим файл параметров обработки выходных характеристик системы
function [SystemOutputCharacteristicsNames,..//Имена выходных характеристик системы
          SystemDiagramOutputCharacteristicsIndexes,..//Индексы выходных характеристик диаграммы системы
          SystemDiagramOutputCharacteristicsNames..//Имена выходных характеристик диаграммы системы
          ]=OutputDynamicsSemanticsDatasParsing(OutputDynamicsSemanticsDatasFileName,..//Имя файла выходных параметров динамик системы
                                                sepNames,..//Сепаратор имен
                                                sepDec..//Десятичный сепаратор
                                                )
    //Обрабатываем входные аргументы
    select argn(2)
    case 0 then
        error('Functions OutputDynamicsSemanticsDatasParsing takes 1, 2 or 3 arguments');
    case 1 then
        sepNames = ',';//По умолчанию разделяем запятой
        sepDec = '.';//Десятичный сепаратор
    case 2 then
        sepDec = '.';//Десятичный сепаратор
    end
    
    //Проверяем типы данных аргументов
    if (type(OutputDynamicsSemanticsDatasFileName) ~= 10) ||..
       (size(OutputDynamicsSemanticsDatasFileName,'*') > 1) then
       error('The OutputDynamicsSemanticsDatasFileName argument of function OutputDynamicsSemanticsDatasParsing must be scalar string');
    end
    if (type(sepNames) ~= 10) ||..
       (size(sepNames,'*') > 1) then
       error('The sepNames argument of function OutputDynamicsSemanticsDatasParsing must be scalar string');
    end
    if (type(sepDec) ~= 10) ||..
       (size(sepDec,'*') > 1) then
       error('The sepDec argument of function OutputDynamicsSemanticsDatasParsing must be scalar string');
    end
    
    //Парсим файл аттрибутов выходных характеристик динамики системы
    [SystemOutputCharacteristicsAttributes,..//Аттрибуты выходных характеристик системы
     SystemOutputCharacteristicsNames..//Имена выходных характеристик системы
     ] = CSVFromFileToDatas(%t,OutputDynamicsSemanticsDatasFileName,..
                            sepNames,sepDec,%f);//Считываем семантику выходных характеристик системы
    SystemDiagramOutputCharacteristicsIndexes = evstr(SelectionDatasSubset(SystemOutputCharacteristicsAttributes,2));//Получаем индексы на диаграмме выходных характеристик динамики системы
    SystemDiagramOutputCharacteristicsNames = SelectionDatasSubset(SystemOutputCharacteristicsAttributes,1);//Получаем имена на диаграмме выходных характеристик динамики системы
endfunction
// ====================================================================
