//Функция вычислительного эксперимента динамики системы
function [AugmentateDynamicsSystemOutputCharacteristicsNames,..//Имена аугментированных динамик выходных характеристик системы
          AugmentateDynamicsSystemOutputCharacteristics,..//Аугментированные динамики выходных характеристик системы
          SystemOutputCharacteristics,..//Выходные характеристики системы
          SystemOutputCharacteristicsParametrsNames,..//Заголовки выходных характеримстик системы
          TimesMomemts..//Моменты времени
          ]=SystemDynamicComputingExperiment(SystemDiagramOutputCharacteristicsNames,..//Имена выходных характеристик диаграммы системы
                                             SystemDiagramOutputCharacteristicsIndexes,..//Индексы величин в выходных характеристиках диаграммы системы
                                             SystemOutputCharacteristicsNames,..//Имена выходных характеристик системы
                                             SystemOutputCharacteristicsParametrsNames,..//Имена параметров выходных характеристик системы
                                             XCosDynamicsDiagramFileName,..//Имя файла диаграммы системы
                                             ProcessingSystemOutputCharacteristics,..//Параметры обработки выходных характеристик системы
                                             typeProcessing,..//Тип обработки выходных динамик системы
                                             SystemDiagramParametrsNames,..//Имена параметров диаграммы системы
                                             SystemDiagramParametrsValues,..//Значения параметров систмы
                                             SystemParametrsNames,..//Имена параметров системы
                                             ReportSystemParametrsNames,..//Имена параметров системы, которые пойдут в аугментированные данные
                                             absolutTolErr,..//Максимальное значение абсолютной ошибки
                                             relativeTolErr,..//Минимальное значение относительной ошибки
                                             simulationTime,..//Время симуляции
                                             timeStepMax,..//Максимальный шаг интергирования по времени
                                             Solver,..//Решатель
                                             toleranceTime,..//Максимальная ошибка времени
                                             sepNames..//Разделитель имен
                                             )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    if nArg < 7 then
        error('The function SystemDynamicComputingExperiment takes 7 - 18 arguments');
    end
    select nArg
    case 7 then
        SystemDiagramParametrsNames = [];//Имена параметров диаграммы системы
        SystemDiagramParametrsValues = [];//Значения параметров систмы
        SystemParametrsNames = [];//Имена параметров системы
        ReportSystemParametrsNames = [];//Имена параметров системы, которые пойдут в аугментированные данные
        absolutTolErr = [];//Максимальное значение абсолютной ошибки
        relativeTolErr = [];//Минимальное значение относительной ошибки
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
        sepNames = ',';//Разделитель имен
    case 8 then
        SystemDiagramParametrsValues = SystemDiagramParametrsNames;//Значения параметров систмы
        SystemDiagramParametrsNames = [];//Имена параметров диаграммы системы
        SystemParametrsNames = [];//Имена параметров системы
        ReportSystemParametrsNames = [];//Имена параметров системы, которые пойдут в аугментированные данные
        absolutTolErr = [];//Максимальное значение абсолютной ошибки
        relativeTolErr = [];//Минимальное значение относительной ошибки
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
        sepNames = ',';//Разделитель имен
    case 9 then
        SystemParametrsNames = [];//Имена параметров системы
        ReportSystemParametrsNames = [];//Имена параметров системы, которые пойдут в аугментированные данные
        absolutTolErr = [];//Максимальное значение абсолютной ошибки
        relativeTolErr = [];//Минимальное значение относительной ошибки
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
        sepNames = ',';//Разделитель имен
    case 10 then
        ReportSystemParametrsNames = SystemParametrsNames;//Имена параметров системы, которые пойдут в аугментированные данные
        absolutTolErr = [];//Максимальное значение абсолютной ошибки
        relativeTolErr = [];//Минимальное значение относительной ошибки
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
        sepNames = ',';//Разделитель имен
    case 11 then
        absolutTolErr = [];//Максимальное значение абсолютной ошибки
        relativeTolErr = [];//Минимальное значение относительной ошибки
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
        sepNames = ',';//Разделитель имен
    case 12 then
        if type(absolutTolErr) == 10 then
            sepNames = absolutTolErr;//Разделитель имен
            absolutTolErr = [];//Максимальное значение абсолютной ошибки
        else
            sepNames = ',';//Разделитель имен
        end
        relativeTolErr = [];//Минимальное значение относительной ошибки
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
    case 13 then
        if type(relativeTolErr) == 10 then
            sepNames = relativeTolErr;//Разделитель имен
            relativeTolErr = [];//Максимальное значение абсолютной ошибки
        else
            sepNames = ',';//Разделитель имен
        end
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
    case 14 then
        if type(simulationTime) == 10 then
            sepNames = simulationTime;//Разделитель имен
            simulationTime = [];//Максимальное значение абсолютной ошибки
        else
            sepNames = ',';//Разделитель имен
        end
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
    case 15 then
        if type(timeStepMax) == 10 then
            sepNames = timeStepMax;//Разделитель имен
            timeStepMax = [];//Максимальное значение абсолютной ошибки
        else
            sepNames = ',';//Разделитель имен
        end
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
    case 16 then
        if type(Solver) == 10 then
            sepNames = Solver;//Разделитель имен
            Solver = [];//Максимальное значение абсолютной ошибки
        else
            sepNames = ',';//Разделитель имен
        end
        toleranceTime = [];//Максимальная ошибка времени
    case 17 then
        if type(toleranceTime) == 10 then
            sepNames = toleranceTime;//Разделитель имен
            toleranceTime = [];//Максимальное значение абсолютной ошибки
        else
            sepNames = ',';//Разделитель имен
        end
    end
    
    //Проверяем корректность аргументов
    if (~isempty(SystemDiagramOutputCharacteristicsNames)) &&..
       ((type(SystemDiagramOutputCharacteristicsNames) ~= 10) ||..
        (size(SystemDiagramOutputCharacteristicsNames)(1) > 1)) then
        error('The argument SystemDiagramOutputCharacteristicsNames of function SystemDynamicComputingExperiment must be matrix of strings 1xM');
    end
    if (~isempty(SystemDiagramOutputCharacteristicsIndexes)) &&..
       ((type(SystemDiagramOutputCharacteristicsIndexes) ~= 1) ||..
        (size(SystemDiagramOutputCharacteristicsIndexes)(1) > 1)) then
        error('The argument SystemDiagramOutputCharacteristicsIndexes of function SystemDynamicComputingExperiment must be matrix of integers 1xM');
    end
    if (~isempty(SystemOutputCharacteristicsNames)) &&..
       ((type(SystemOutputCharacteristicsNames) ~= 10) ||..
        (size(SystemOutputCharacteristicsNames)(1) > 1)) then
        error('The argument SystemOutputCharacteristicsNames of function SystemDynamicComputingExperiment must be matrix of strings 1xM');
    end
    if size(SystemOutputCharacteristicsNames)(2) ~= size(SystemDiagramOutputCharacteristicsNames)(2) then
        error('The number of columns of arguments SystemDiagramOutputCharacteristicsNames and SystemOutputCharacteristicsNames must be equality');
    end
    if size(SystemOutputCharacteristicsNames)(2) ~= size(SystemDiagramOutputCharacteristicsIndexes)(2) then
        error('The number of columns of arguments SystemDiagramOutputCharacteristicsIndexes and SystemOutputCharacteristicsNames must be equality');
    end
    if (~isempty(SystemOutputCharacteristicsParametrsNames)) &&..
       ((type(SystemOutputCharacteristicsParametrsNames) ~= 10) ||..
        (size(SystemOutputCharacteristicsParametrsNames)(1) > 1)) then
        error('The argument SystemOutputCharacteristicsParametrsNames of function SystemDynamicComputingExperiment must be matrix of strings 1xM');
    end
    if isempty(typeProcessing) ||..
       (type(typeProcessing) ~= 10) ||..
       (size(typeProcessing,'*') > 1) then
        error('The argument typeProcessing of function SystemDynamicComputingExperiment must be string scalar');
    end
    if (~isempty(SystemParametrsNames)) &&..
       ((type(SystemParametrsNames) ~= 10) ||..
        (size(SystemParametrsNames)(1) > 1)) then
        error('The argument SystemParametrsNames of function SystemDynamicComputingExperiment must be matrix of strings 1xM');
    end
    if isempty(SystemParametrsNames) then
        SystemParametrsNames = SystemDiagramParametrsNames;
    end
    if (~isempty(ReportSystemParametrsNames)) &&..
       ((type(ReportSystemParametrsNames) ~= 10) ||..
        (size(ReportSystemParametrsNames)(1) > 1)) then
        error('The argument ReportSystemParametrsNames of function SystemDynamicComputingExperiment must be matrix of strings 1xM');
    end
    
    //Выполняем вычислительный эксперимент
    select typeProcessing
    case 'TimeMoments' then
        //Выполняем вычислительный эксперимент
        [SystemOutputCharacteristics,..
         SystemParametrsIndexes,..
         SystemDiagramParametrsValues,..
         TimesMomemts..
         ]=ModelingSystemDynamicTimeGrid(SystemDiagramOutputCharacteristicsNames,..
                                         SystemDiagramOutputCharacteristicsIndexes,..
                                         XCosDynamicsDiagramFileName,..
                                         ProcessingSystemOutputCharacteristics,..
                                         SystemDiagramParametrsNames,..
                                         SystemDiagramParametrsValues,..
                                         absolutTolErr,relativeTolErr,..
                                         simulationTime,timeStepMax,Solver,..
                                         toleranceTime);
        
        //Выбираем требуемые выходные характеристики системы
        [SystemOutputCharacteristics,..
         SystemOutputCharacteristicsParametrsNames] = SelectionDatas(SystemOutputCharacteristicsNames,..
                                                                     SystemOutputCharacteristicsParametrsNames,..
                                                                     SystemOutputCharacteristics);
        
        //Выделяем параметры, которые пойдут в отчет
        [SystemDiagramParametrsValues,..
         ReportSystemParametrsNames] = SelectionDatas(SystemParametrsNames,..
                                                      ReportSystemParametrsNames,..
                                                      SystemDiagramParametrsValues);
    
        //Формируем отчет
        [AugmentateDynamicsSystemOutputCharacteristics,..
         AugmentateDynamicsSystemOutputCharacteristicsNames..
         ]=AddDatas(SystemParametrsIndexes,..
                    SystemDiagramParametrsValues,..
                    "Index",..
                    ReportSystemParametrsNames,"c");
        [AugmentateDynamicsSystemOutputCharacteristics,..
         AugmentateDynamicsSystemOutputCharacteristicsNames..
         ]=AddDatas(AugmentateDynamicsSystemOutputCharacteristics,..
                    TimesMomemts,..
                    AugmentateDynamicsSystemOutputCharacteristicsNames,..
                    "Time","c");
        [AugmentateDynamicsSystemOutputCharacteristics,..
         AugmentateDynamicsSystemOutputCharacteristicsNames..
         ]=AddDatas(AugmentateDynamicsSystemOutputCharacteristics,..
                    SystemOutputCharacteristics,..
                    AugmentateDynamicsSystemOutputCharacteristicsNames,..
                    SystemOutputCharacteristicsParametrsNames,"c");
    case 'CompressionFunctions' then
        //Приводим функции сжатия в соответсвие с именами выходных характеристик
        [SystemOutputCharacteristicsCompressionFunctions,..//Имена функций сжатия выходных динамик системы
         outputDynamicsParametrsNames..//Выходные имена параметров динамики системы
         ]=SystemOutputCharCompresFunctionsParsing(ProcessingSystemOutputCharacteristics,..
                                                   SystemOutputCharacteristicsNames,..
                                                   csvSeparator);

        //Выполняем вычислительный эксперимент
        [SystemOutputCharacteristics..
         ]=ModelingSystemDynamicEvidence(SystemDiagramOutputCharacteristicsNames,..
                                         SystemDiagramOutputCharacteristicsIndexes,..
                                         XCosDynamicsDiagramFileName,..
                                         SystemOutputCharacteristicsCompressionFunctions,..
                                         SystemDiagramParametrsNames,..
                                         SystemDiagramParametrsValues,..
                                         absolutTolErr,relativeTolErr,..
                                         simulationTime,timeStepMax,Solver,..
                                         toleranceTime);
        
        //Выбираем требуемые выходные характеристики системы
        [SystemOutputCharacteristics,..
         OutputDynamicsParametrsNames] = SelectionDatas(outputDynamicsParametrsNames,..
                                                        SystemOutputCharacteristicsParametrsNames,..
                                                        SystemOutputCharacteristics);
        
        //Выделяем параметры, которые пойдут в отчет
        [SystemDiagramParametrsValues,..
         ReportSystemParametrsNames] = SelectionDatas(SystemParametrsNames,..
                                                      ReportSystemParametrsNames,..
                                                      SystemDiagramParametrsValues);
    
        //Моменты времени
        TimesMomemts = [];
        
        //Формируем отчет
        [AugmentateDynamicsSystemOutputCharacteristics,..
         AugmentateDynamicsSystemOutputCharacteristicsNames..
         ]=AddDatas(SystemDiagramParametrsValues,..
                    SystemOutputCharacteristics,..
                    ReportSystemParametrsNames,..
                    OutputDynamicsParametrsNames,"c");
    else
        error('The argumrnt typeProcessing of function SystemDynamicComputingExperiment must be ""TimeMoments"" or ""CompressionFunctions""');
    end
endfunction
