//Функция вычислительного эксперимента динамики системы
function [AugmentateDynamicsSystemOutputCharacteristicsNames,..//Имена аугментированных динамик выходных характеристик системы
          AugmentateDynamicsSystemOutputCharacteristics..//Аугментированные динамики выходных характеристик системы
          ]=SystemDynamicComputingExperimentFile(OutputDynamicsSemanticsDatasFileName,..//Имя файла выходных параметров динамик системы
                                                 ProcessingSystemOutputCharacteristicsFileName,..//имя файла параметров обработки выходных динамик системы
                                                 XCosDynamicsDiagramFileName,..//Имя файла диаграммы системы
                                                 OutputDynamicsDatasFileName,..//Имя файла выходных динамик системы
                                                 SystemParametrsDatasFilesNames,..//Имена файлов данных параметров системы
                                                 ConditionDatasFileName,..//Имя файла данных условий функционирования системы
                                                 ModelingParametrsDynamicFileName,..//Имена файла параметров моделирования динамики системы
                                                 SystemParametrsSemanticsFileName,..//Имя файла семандики параметров системы
                                                 SystemModelingParametrsSemanticsFileName,..//Имя файла семантики параметров моделирования динамики системы
                                                 csvSeparator,..//Разделитель .csv
                                                 csvDec..//Десятичный разделитель
                                                 )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    if nArg < 3 then
        error('The function SystemDynamicComputingExperimentFile takes 3 - 11 arguments');
    end
    select nArg
    case 3 then
        OutputDynamicsDatasFileName = [];//Имя файла выходных динамик системы по умолчанию пустое
        SystemParametrsDatasFilesNames = [];//Имена файлов данных параметров системы по умолчанию пустое
        ConditionDatasFileName = [];//Имя файла данных условий функционирования системы по умолчанию пустое
        ModelingParametrsDynamicFileName = [];//Имена файла параметров моделирования динамики системы по умолчанию пустое
        SystemParametrsSemanticsFileName = [];//Имя файла семандики параметров системы по умолчанию пустое
        SystemModelingParametrsSemanticsFileName = [];//Имя файла семантики параметров моделирования динамики системы по умолчанию пустое
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 4 then
        SystemParametrsDatasFilesNames = [];//Имена файлов данных параметров системы по умолчанию пустое
        ConditionDatasFileName = [];//Имя файла данных условий функционирования системы по умолчанию пустое
        ModelingParametrsDynamicFileName = [];//Имена файла параметров моделирования динамики системы по умолчанию пустое
        SystemParametrsSemanticsFileName = [];//Имя файла семандики параметров системы по умолчанию пустое
        SystemModelingParametrsSemanticsFileName = [];//Имя файла семантики параметров моделирования динамики системы по умолчанию пустое
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 5 then
        ConditionDatasFileName = [];//Имя файла данных условий функционирования системы по умолчанию пустое
        ModelingParametrsDynamicFileName = [];//Имена файла параметров моделирования динамики системы по умолчанию пустое
        SystemParametrsSemanticsFileName = [];//Имя файла семандики параметров системы по умолчанию пустое
        SystemModelingParametrsSemanticsFileName = [];//Имя файла семантики параметров моделирования динамики системы по умолчанию пустое
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 6 then
        ModelingParametrsDynamicFileName = [];//Имена файла параметров моделирования динамики системы по умолчанию пустое
        SystemParametrsSemanticsFileName = [];//Имя файла семандики параметров системы по умолчанию пустое
        SystemModelingParametrsSemanticsFileName = [];//Имя файла семантики параметров моделирования динамики системы по умолчанию пустое
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 7 then
        SystemParametrsSemanticsFileName = [];//Имя файла семандики параметров системы по умолчанию пустое
        SystemModelingParametrsSemanticsFileName = [];//Имя файла семантики параметров моделирования динамики системы по умолчанию пустое
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 8 then
        SystemModelingParametrsSemanticsFileName = [];//Имя файла семантики параметров моделирования динамики системы по умолчанию пустое
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 9 then
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 10 then
        csvDec = '.';//Десятичный разделитель
    end

    //Считываем семантику выходных параметров системы
    [SystemOutputCharacteristicsNames,..//Имена выходных характеристик системы
     SystemDiagramOutputCharacteristicsIndexes,..//Индексы выходных характеристик диаграммы системы
     SystemDiagramOutputCharacteristicsNames..//Имена выходных характеристик диаграммы системы
     ]=OutputDynamicsSemanticsDatasParsing(OutputDynamicsSemanticsDatasFileName,..//Имя файла выходных параметров динамик системы
                                           csvSeparator,..//Сепаратор имен
                                           csvDec..//Десятичный сепаратор
                                           );
    
    //Считываем условия обработки выходных динамик
    [typeProcessing,..//Тип процесса обработки данных
     SystemOutputCharacteristicsParametrsNames,..//Выходные имена параметров динамики системы
     ProcessingSystemOutputCharacteristics..//Характеристики обработки выходных динамик системы
     ]=ProcessingSystemOutputCharacteristicsParsing(ProcessingSystemOutputCharacteristicsFileName,..//имя файла параметров обработки выходных динамик системы
                                                    csvSeparator..//Сепаратор имен, он же сепаратор .csv
                                                    );
    
    //Получаем имена и значения параметров диаграммы системы
    [SystemDiagramParametrsValues,..//Значения параметров диаграммы системы
     SystemDiagramParametrsNames,..//Имена параметров диаграммы системы
     SystemParametrsNames..//Имена параметров системы
     ]=SystemParametrsParsing(SystemParametrsDatasFilesNames,..//Имена файлов данных параметров системы
                              ConditionDatasFileName,..//Имя файла данных условий функционирования системы
                              SystemParametrsSemanticsFileName,..//Имя файла семандики параметров системы
                              csvSeparator,..//Сепаратор данных .csv
                              csvDec,..//Десятичный разделитель в .csv файлах
                              %f..//Файлы .csv считываем, но значения не парсим
                              );
    
    //Cчитываем семантику параметров моделирования динамики системы
    [absolutTolErr,..//Допустимая абсолютная погрешность ошибки
     relativeTolErr,..//Допустимая относительная погрешность ошибки
     simulationTime,..//Время интегрирования системы
     timeStepMax,..//Максимальный шаг интегрирования по времени
     toleranceTime,..//Время работы системы
     Solver..//Решатель
     ]=ModelingParametrsDynamicParsing(ModelingParametrsDynamicFileName,..//Имена файла параметров моделирования динамики системы
                                       SystemModelingParametrsSemanticsFileName,..//Имя файла семантики параметров моделирования динамики системы
                                       csvSeparator,..//Сепаратор данных .csv
                                       csvDec..//Десятичный разделитель в .csv файлах
                                       );
    
    //Выполненяем вычислительнй эксперимент и сохраняем его результаты в файл csv
    [AugmentateDynamicsSystemOutputCharacteristicsNames,..//Имена аугментированных динамик выходных характеристик системы
     AugmentateDynamicsSystemOutputCharacteristics..//Аугментированные динамики выходных характеристик системы
     ]=SystemDynamicComputingExperimentSave(SystemDiagramOutputCharacteristicsNames,..
                                            SystemDiagramOutputCharacteristicsIndexes,..
                                            SystemOutputCharacteristicsNames,..
                                            SystemOutputCharacteristicsParametrsNames,..
                                            XCosDynamicsDiagramFileName,..
                                            ProcessingSystemOutputCharacteristics,..
                                            typeProcessing,..
                                            OutputDynamicsDatasFileName,..
                                            SystemDiagramParametrsNames,..
                                            SystemDiagramParametrsValues,..
                                            SystemParametrsNames,..
                                            ReportSystemParametrsNames,..
                                            absolutTolErr,relativeTolErr,..
                                            simulationTime,timeStepMax,Solver,..
                                            toleranceTime,csvSeparator,csvDec);
endfunction
