//Функция вычислительного эксперимента динамики системы
function [AugmentateDynamicsSystemOutputCharacteristicsNames,..//Имена аугментированных динамик выходных характеристик системы
          AugmentateDynamicsSystemOutputCharacteristics..//Аугментированные динамики выходных характеристик системы
          ]=SystemDynamicComputingExperimentSave(SystemDiagramOutputCharacteristicsNames,..//Имена выходных характеристик диаграммы системы
                                                 SystemDiagramOutputCharacteristicsIndexes,..//Индексы величин в выходных характеристиках диаграммы системы
                                                 SystemOutputCharacteristicsNames,..//Имена выходных характеристик системы
                                                 SystemOutputCharacteristicsParametrsNames,..//Имена параметров выходных характеристик системы
                                                 XCosDynamicsDiagramFileName,..//Имя файла диаграммы системы
                                                 ProcessingSystemOutputCharacteristics,..//Параметры обработки выходных характеристик системы
                                                 typeProcessing,..//Тип обработки выходных динамик системы
                                                 OutputDynamicsDatasFileName,..//Имя файла выходных динамик системы
                                                 SystemDiagramParametrsNames,..//Имена параметров диаграммы системы
                                                 SystemDiagramParametrsValues,..//Значения параметров систмы
                                                 SystemParametrsNames,..//Имена параметров системы
                                                 ReportSystemParametrsNames,..//Имена параметров системы, которые пойдут в аугментированные данные
                                                 absolutTolErr,..//Максимальное значение абсолютной ошибки
                                                 relativeTolErr,..//Минимальное значение относительной ошибки
                                                 simulationTime,..//Время симуляции
                                                 timeStepMax,..//Максимальный шаг интергирования по времени
                                                 Solver,..//Решатель
                                                 toleranceTime,..//Максимальная ошибка времени
                                                 csvSeparator,..//Разделитель .csv
                                                 csvDec..//Десятичный разделитель
                                                 )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    if nArg < 7 then
        error('The function SystemDynamicComputingExperiment takes 7 - 20 arguments');
    end
    select nArg
    case 7 then
        OutputDynamicsDatasFileName = [];//Имя файла выходных динамик системы по умолчанию берем пустым
        SystemDiagramParametrsNames = [];//Имена параметров диаграммы системы
        SystemDiagramParametrsValues = [];//Значения параметров систмы
        SystemParametrsNames = [];//Имена параметров системы
        ReportSystemParametrsNames = [];//Имена параметров системы, которые пойдут в аугментированные данные
        absolutTolErr = [];//Максимальное значение абсолютной ошибки
        relativeTolErr = [];//Минимальное значение относительной ошибки
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 8 then
        SystemDiagramParametrsNames = [];//Имена параметров диаграммы системы
        SystemDiagramParametrsValues = [];//Значения параметров систмы
        SystemParametrsNames = [];//Имена параметров системы
        ReportSystemParametrsNames = [];//Имена параметров системы, которые пойдут в аугментированные данные
        absolutTolErr = [];//Максимальное значение абсолютной ошибки
        relativeTolErr = [];//Минимальное значение относительной ошибки
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 9 then
        SystemDiagramParametrsValues = SystemDiagramParametrsNames;//Значения параметров систмы
        SystemDiagramParametrsNames = [];//Имена параметров диаграммы системы
        SystemParametrsNames = [];//Имена параметров системы
        ReportSystemParametrsNames = [];//Имена параметров системы, которые пойдут в аугментированные данные
        absolutTolErr = [];//Максимальное значение абсолютной ошибки
        relativeTolErr = [];//Минимальное значение относительной ошибки
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 10 then
        SystemParametrsNames = [];//Имена параметров системы
        ReportSystemParametrsNames = [];//Имена параметров системы, которые пойдут в аугментированные данные
        absolutTolErr = [];//Максимальное значение абсолютной ошибки
        relativeTolErr = [];//Минимальное значение относительной ошибки
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 11 then
        ReportSystemParametrsNames = SystemParametrsNames;//Имена параметров системы, которые пойдут в аугментированные данные
        absolutTolErr = [];//Максимальное значение абсолютной ошибки
        relativeTolErr = [];//Минимальное значение относительной ошибки
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 12 then
        absolutTolErr = [];//Максимальное значение абсолютной ошибки
        relativeTolErr = [];//Минимальное значение относительной ошибки
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
        csvSeparator = ',';//Разделитель .csv
        csvDec = '.';//Десятичный разделитель
    case 13 then
        if type(absolutTolErr) == 10 then
            csvSeparator = absolutTolErr;//Разделитель имен
            absolutTolErr = [];//Максимальное значение абсолютной ошибки
        else
            csvSeparator = ',';//Разделитель имен
        end
        relativeTolErr = [];//Минимальное значение относительной ошибки
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
        csvDec = '.';//Десятичный разделитель
    case 14 then
        if type(absolutTolErr) == 10 then
            csvSeparator = absolutTolErr;//Разделитель имен
            csvDec = relativeTolErr;//Разделитель имен
            absolutTolErr = [];//Максимальное значение абсолютной ошибки
            relativeTolErr = [];//Максимальное значение абсолютной ошибки
        elseif type(relativeTolErr) == 10 then
            csvSeparator = relativeTolErr;//Разделитель имен
            relativeTolErr = [];//Максимальное значение абсолютной ошибки
            csvDec = '.';//Десятичный разделитель
        else
            sepNames = ',';//Разделитель имен
            csvDec = '.';//Десятичный разделитель
        end
        simulationTime = [];//Время симуляции
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
    case 15 then
        if type(relativeTolErr) == 10 then
            csvSeparator = relativeTolErr;//Разделитель имен
            csvDec = simulationTime;//Разделитель имен
            relativeTolErr = [];//Максимальное значение абсолютной ошибки
            simulationTime = [];//Максимальное значение абсолютной ошибки
        elseif type(simulationTime) == 10 then
            csvSeparator = simulationTime;//Разделитель имен
            simulationTime = [];//Максимальное значение абсолютной ошибки
            csvDec = '.';//Десятичный разделитель
        else
            sepNames = ',';//Разделитель имен
            csvDec = '.';//Десятичный разделитель
        end
        timeStepMax = [];//Максимальный шаг интергирования по времени
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
    case 16 then
        if type(simulationTime) == 10 then
            csvSeparator = simulationTime;//Разделитель имен
            csvDec = timeStepMax;//Разделитель имен
            simulationTime = [];//Максимальное значение абсолютной ошибки
            timeStepMax = [];//Максимальное значение абсолютной ошибки
        elseif type(timeStepMax) == 10 then
            csvSeparator = timeStepMax;//Разделитель имен
            timeStepMax = [];//Максимальное значение абсолютной ошибки
            csvDec = '.';//Десятичный разделитель
        else
            sepNames = ',';//Разделитель имен
            csvDec = '.';//Десятичный разделитель
        end
        Solver = [];//Решатель
        toleranceTime = [];//Максимальная ошибка времени
    case 17 then
        if type(timeStepMax) == 10 then
            csvSeparator = timeStepMax;//Разделитель имен
            csvDec = Solver;//Разделитель имен
            timeStepMax = [];//Максимальное значение абсолютной ошибки
            Solver = [];//Максимальное значение абсолютной ошибки
        elseif type(Solver) == 10 then
            csvSeparator = Solver;//Разделитель имен
            Solver = [];//Максимальное значение абсолютной ошибки
            csvDec = '.';//Десятичный разделитель
        else
            sepNames = ',';//Разделитель имен
            csvDec = '.';//Десятичный разделитель
        end
        toleranceTime = [];//Максимальная ошибка времени
    case 18 then
        if type(Solver) == 10 then
            csvSeparator = Solver;//Разделитель имен
            csvDec = toleranceTime;//Разделитель имен
            Solver = [];//Максимальное значение абсолютной ошибки
            toleranceTime = [];//Максимальное значение абсолютной ошибки
        elseif type(toleranceTime) == 10 then
            csvSeparator = toleranceTime;//Разделитель имен
            toleranceTime = [];//Максимальное значение абсолютной ошибки
            csvDec = '.';//Десятичный разделитель
        else
            sepNames = ',';//Разделитель имен
            csvDec = '.';//Десятичный разделитель
        end
    case 19 then
        if type(toleranceTime) == 10 then
            csvDec = csvSeparator;//Десятичный разделитель
            csvSeparator = toleranceTime;//Разделитель имен
            toleranceTime = [];//Максимальное значение абсолютной ошибки
        else
            csvDec = '.';//Десятичный разделитель
        end
    end
    
    //Проверяем корректность аргументов
    if (~isempty(OutputDynamicsDatasFileName)) &&..
       ((type(OutputDynamicsDatasFileName) ~= 10) ||..
        (size(OutputDynamicsDatasFileName,'*') > 1)) then
        error('The argument SystemDiagramOutputCharacteristicsNames of function SystemDynamicComputingExperimentSave must be string scalar');
    end
    if isempty(csvSeparator) ||..
       (type(csvSeparator) ~= 10) ||..
       (size(csvSeparator,'*') > 1) then
        error('The argument csvSeparator of function SystemDynamicComputingExperimentSave must be matrix string scalar');
    end
    if isempty(csvSeparator) ||..
       (type(csvSeparator) ~= 10) ||..
       (size(csvSeparator,'*') > 1) then
        error('The argument csvSeparator of function SystemDynamicComputingExperimentSave must be matrix string scalar');
    end
    
    //Выполняем вычислительный эксперимент
    [AugmentateDynamicsSystemOutputCharacteristicsNames,..//Имена аугментированных динамик выходных характеристик системы
     AugmentateDynamicsSystemOutputCharacteristics..//Аугментированные динамики выходных характеристик системы
     ]=SystemDynamicComputingExperiment(SystemDiagramOutputCharacteristicsNames,..
                                        SystemDiagramOutputCharacteristicsIndexes,..
                                        SystemOutputCharacteristicsNames,..
                                        SystemOutputCharacteristicsParametrsNames,..
                                        XCosDynamicsDiagramFileName,..
                                        ProcessingSystemOutputCharacteristics,..
                                        typeProcessing,..
                                        SystemDiagramParametrsNames,..
                                        SystemDiagramParametrsValues,..
                                        SystemParametrsNames,..
                                        ReportSystemParametrsNames,..
                                        absolutTolErr,..
                                        relativeTolErr,..
                                        simulationTime,..
                                        timeStepMax,..
                                        Solver,..
                                        toleranceTime,..
                                        csvSeparator);

    //Сохраняем результаты расчетов в файл
    if ~isempty(OutputDynamicsDatasFileName) then
        DatasToCSVFile(AugmentateDynamicsSystemOutputCharacteristics,..
                       AugmentateDynamicsSystemOutputCharacteristicsNames,..
                       %t,OutputDynamicsDatasFileName,..
                       csvSeparator,csvDec);
    end
endfunction
