//Парсим файлы данных параметров системы
function [SystemParametrsNames,..//Имена параметров системы
          SystemParametrsValues..//Значения параметров системы
          ]=SystemParametrsDatasParsing(SystemParametrsDatasFilesNames,..//Имена файлов данных параметров системы
                                        ConditionDatasFileName,..//Имя файла данных условий функционирования системы
                                        csvSeparator,..//Сепаратор данных .csv
                                        csvDec,..//Десятичный разделитель в .csv файлах
                                        csvParsing..//Необходимость парсинга .csv файла
                                        )
    //Обрабатываем входной аргумент
    select argn(2)
    case 0 then
        error('Functions SystemParametrsDatasParsing takes 1, 2, 3, 4 or 5 arguments');
    case 1 then
        ConditionDatasFileName = [];//По умолчанию имя файла условий протекания процессов в системе пустое
        csvSeparator = ',';//По умолчанию разделяем запятой
        csvDec = '.';//По умолчанию десятичный разделитель - точка
        csvParsing = %t;//По умолчанию парсим .csv файл
    case 2 then
        if type(ConditionDatasFileName) == 4 then
            csvParsing = ConditionDatasFileName;
            ConditionDatasFileName = [];//По умолчанию имя файла условий протекания процессов в системе пустое
        else
            csvParsing = %t;//По умолчанию парсим .csv файл
        end
        csvSeparator = ',';//По умолчанию разделяем запятой
        csvDec = '.';//По умолчанию десятичный разделитель - точка
    case 3 then
        if type(csvSeparator) == 4 then
            csvParsing = csvSeparator;
            csvSeparator = ',';//По умолчанию разделяем запятой
        else
            csvParsing = %t;//По умолчанию парсим .csv файл
        end
        csvDec = '.';//По умолчанию десятичный разделитель - точка
    case 4 then
        if type(csvDec) == 4 then
            csvParsing = csvDec;
            csvDec = '.';//По умолчанию десятичный разделитель - точка
        else
            csvParsing = %t;//По умолчанию парсим .csv файл
        end
    end
    
    //Проверяем типы данных аргументов
    if (~isempty(SystemParametrsDatasFilesNames)) &&..
       (type(SystemParametrsDatasFilesNames) ~= 10) then
       error('The SystemParametrsDatasFilesNames argument of function SystemParametrsDatasParsing must be matrix of string');
    end
    if (~isempty(ConditionDatasFileName)) &&..
       ((type(ConditionDatasFileName) ~= 10) ||..
        (size(ConditionDatasFileName,'*') > 1)) then
       error('The ConditionDatasFileName argument of function SystemParametrsDatasParsing must be scalar string');
    end
    
    //Приводим аргументы к матрице-строке
    SystemParametrsDatasFilesNames = matrix(SystemParametrsDatasFilesNames,1,-1);
    ConditionDatasFileName = matrix(ConditionDatasFileName,1,-1);
    
    //Парсим файлы данных параметров системы и параметров моделирования динамики системы
    [SystemParametrsNames,..//Имена параметров системы
     SystemParametrsValues..//Значения параметров системы
     ]=SystemCharacteristicsConcatenate([SystemParametrsDatasFilesNames,ConditionDatasFileName],..
                                        [],csvSeparator,csvDec,csvParsing);
endfunction
