//Парсим файлы данных параметров системы
function SystemParametrsRandomGenerationUnify(nValues,..//Число величин, которое необходимо сгенерировать
                                              UniformRandomValuesAttributesFilesNames,..//Имена файлов аттрибутов равномерно распределенных случайных величин
                                              UniformRandomValuesGenerateAttributesFilesNames,..//Имена файлов аттрибутов равномерно распределенных случайных величин
                                              randomValuesFilesNames,..//Имена файлов случайных величин
                                              csvSeparator,..//.csv-разделитель
                                              csvDec..//Десятичный разделитель
                                              )
    //Обрабатываем входные аргументы
    nArg = argn(2);//Число аргументов
    if nArg < 3 then
        error('The function SystemParametrsRandomGenerationUnify takes 3, 4, 5 or 6 arguments');
    end
    select nArg
    case 3 then
        randomValuesFilesNames = UniformRandomValuesGenerateAttributesFilesNames;
        UniformRandomValuesGenerateAttributesFilesNames = UniformRandomValuesAttributesFilesNames;
        UniformRandomValuesAttributesFilesNames = nValues;
        nValues = 1;//По умолчанию число генерируемых величин равно 1
        csvSeparator = ',';//.csv-разделитель по умолчанию запятая
        csvDec = '.';//Десятичный разделитель по умолчанию точка
    case 4 then
        if type(nValues) == 1 then
            csvSeparator = ',';//.csv-разделитель по умолчанию запятая
        else
            csvSeparator = randomValuesFilesNames;
            randomValuesFilesNames = UniformRandomValuesGenerateAttributesFilesNames;
            UniformRandomValuesGenerateAttributesFilesNames = UniformRandomValuesAttributesFilesNames;
            UniformRandomValuesAttributesFilesNames = nValues;
            nValues = 1;//По умолчанию число генерируемых величин равно 1
        end
        csvDec = '.';//Десятичный разделитель по умолчанию точка
    case 5 then
        if type(nValues) == 1 then
            csvDec = '.';//Десятичный разделитель по умолчанию точка
        else
            csvDec = csvSeparator;
            csvSeparator = randomValuesFilesNames;
            randomValuesFilesNames = UniformRandomValuesGenerateAttributesFilesNames;
            UniformRandomValuesGenerateAttributesFilesNames = UniformRandomValuesAttributesFilesNames;
            UniformRandomValuesAttributesFilesNames = nValues;
            nValues = 1;//По умолчанию число генерируемых величин равно 1
        end
    end
    
    //Проверяем типы данных аргументов
    if (type(nValues) ~= 1) ||..
       (size(nValues,'*') ~= 1) then
       error('The nValues argument of function SystemParametrsRandomGenerationUnify must be scalar integer');
    end
    if type(UniformRandomValuesAttributesFilesNames) ~= 10 then
        error('The UniformRandomValuesAttributesFilesNames argument of function SystemParametrsRandomGenerationUnify must be matrix of string 1xM');
    end
    if type(UniformRandomValuesGenerateAttributesFilesNames) ~= 10 then
        error('The UniformRandomValuesGenerateAttributesFilesNames argument of function SystemParametrsRandomGenerationUnify must be matrix of string 1xM');
    end
    if type(randomValuesFilesNames) ~= 10 then
        error('The randomValuesFilesNames argument of function SystemParametrsRandomGenerationUnify must be matrix of string 1xM');
    end
    
    //Приводим массивы имен файлов в соответствие с выходными файлами
    UniformRandomValuesAttributesFilesNames = matrix(UniformRandomValuesAttributesFilesNames,1,-1);
    UniformRandomValuesGenerateAttributesFilesNames = matrix(UniformRandomValuesGenerateAttributesFilesNames,1,-1);
    randomValuesFilesNames = matrix(randomValuesFilesNames,1,-1);
    nUniformRandomValuesAttributesFilesNames = size(UniformRandomValuesAttributesFilesNames,'*');
    nUniformRandomValuesGenerateAttributesFilesNames = size(UniformRandomValuesGenerateAttributesFilesNames,'*');
    nRandomValuesFilesNames = size(randomValuesFilesNames,'*');
    if nUniformRandomValuesAttributesFilesNames < nRandomValuesFilesNames then
        UniformRandomValuesAttributesFilesNames = [UniformRandomValuesAttributesFilesNames,..
                                                   repmat(UniformRandomValuesAttributesFilesNames($),..
                                                          [1,nRandomValuesFilesNames - nUniformRandomValuesAttributesFilesNames])];
    else
        UniformRandomValuesAttributesFilesNames = UniformRandomValuesAttributesFilesNames(1:nRandomValuesFilesNames);
    end
    if nUniformRandomValuesGenerateAttributesFilesNames < nRandomValuesFilesNames then
        UniformRandomValuesGenerateAttributesFilesNames = [UniformRandomValuesGenerateAttributesFilesNames,..
                                                           repmat(UniformRandomValuesGenerateAttributesFilesNames($),..
                                                                  [1,nRandomValuesFilesNames - nUniformRandomValuesGenerateAttributesFilesNames])];
    else
        UniformRandomValuesGenerateAttributesFilesNames = UniformRandomValuesGenerateAttributesFilesNames(1:nRandomValuesFilesNames);
    end
    
    //Генерируем случайные данные
    for ind=1:nRandomValuesFilesNames
        //Считываем аттрибуты генерируемых случайных величин и генерируем случайные величины
        RandomGenerateUniformOnRangesFile(nValues,..//Число генерируемых величин
                                          UniformRandomValuesAttributesFilesNames(ind),..//Имя файла аттрибутов равномерно распределенных случайных величин
                                          UniformRandomValuesGenerateAttributesFilesNames(ind),..//Имя файла аттрибутов равномерно распределенных случайных величин
                                          randomValuesFilesNames(ind),..//Имя файла случайных величин
                                          csvSeparator,..//.csv-разделитель
                                          csvDec..//Десятичный разделитель
                                          );
    end
endfunction
